import { handle } from '../../index'

const suffix = 'ax-node-api'

export const shipTestHoverList = (params: any) => handle({
  url: `/${suffix}/ship-test/hover/list`,
  method: 'post',
  params
})
export const shipTestHoverPage = (params: any) => handle({
  url: `/${suffix}/ship-test/hover/page`,
  method: 'post',
  params
})
export const shipTestHoverInfo = (id: any) => handle({
  url: `/${suffix}/ship-test/hover/info/${id}`,
  method: 'get',
})
export const shipTestHoverAdd = (params: any) => handle({
  url: `/${suffix}/ship-test/hover/add`,
  method: 'post',
  params
})
export const shipTestHoverEdit = (params: any) => handle({
  url: `/${suffix}/ship-test/hover/edit`,
  method: 'put',
  params
})
export const shipTestHoverDel = (params: any) => handle({
  url: `/${suffix}/ship-test/hover/del/`,
  method: 'delete',
  params
})
