import { handle } from '../../index'

const suffix = 'ax-node-api'

export const shipTestSourceList = (params: any) => handle({
  url: `/${suffix}/ship-test/source/list`,
  method: 'post',
  params
})
export const shipTestSourcePage = (params: any) => handle({
  url: `/${suffix}/ship-test/source/page`,
  method: 'post',
  params
})
export const shipTestSourceInfo = (id: any) => handle({
  url: `/${suffix}/ship-test/source/info/${id}`,
  method: 'get',
})
export const shipTestSourceAdd = (params: any) => handle({
  url: `/${suffix}/ship-test/source/add`,
  method: 'post',
  params
})
export const shipTestSourceEdit = (params: any) => handle({
  url: `/${suffix}/ship-test/source/edit`,
  method: 'put',
  params
})
export const shipTestSourceDel = (params: any) => handle({
  url: `/${suffix}/ship-test/source/del/`,
  method: 'delete',
  params
})
