import { handle } from '../../index'

const suffix = 'ax-node-api'

export const shipTestTrackList = (params: any) => handle({
  url: `/${suffix}/ship-test/track/list`,
  method: 'post',
  params
})
export const shipTestTrackPage = (params: any) => handle({
  url: `/${suffix}/ship-test/track/page`,
  method: 'post',
  params
})
export const shipTestTrackInfo = (id: any) => handle({
  url: `/${suffix}/ship-test/track/info/${id}`,
  method: 'get',
})
export const shipTestTrackAdd = (params: any) => handle({
  url: `/${suffix}/ship-test/track/add`,
  method: 'post',
  params
})
export const shipTestTrackEdit = (params: any) => handle({
  url: `/${suffix}/ship-test/track/edit`,
  method: 'put',
  params
})
export const shipTestTrackDel = (params: any) => handle({
  url: `/${suffix}/ship-test/track/del/`,
  method: 'delete',
  params
})
export const shipTestTrackInfoBySourceId = (sourceId: any) => handle({
  url: `/${suffix}/ship-test/track/infoBySourceId/${sourceId}`,
  method: 'get',
})