const SvgValid = () => {
  // @ts-ignore
  const svgs = import.meta.glob("/src/assets/svg/**/*.svg")
  const svgModule: any = {}
  const svgRepeatMap = new Map()
  let num1 = 0
  let num2 = 0
  for (const [key, value] of Object.entries(svgs)) {
    num1++
    // @ts-ignore
    value().then(res => {
      const regex = /\/([^/]+)\.svg$/
      for (const [svgKey, svgValue] of Object.entries(res)) {
        // @ts-ignore
        const result: any = svgValue.match(regex);
        const text = result[1]; // 获取匹配到的文本
        if (svgRepeatMap.has(text)) {
          svgRepeatMap.set(text, [...svgRepeatMap.get(text), key])
        } else {
          svgRepeatMap.set(text, [key])
        }
      }
      Object.assign(svgModule, res)
      num2++
      if (num1 === num2) {
        svgRepeatMap.forEach((v, k) => {
          if (v.length > 1) {
            console.error(`检测到svg图标${k}重复定义，路径为：`, v)
          }
        })
      }
    })
  }
}

export default (): void => {
  SvgValid()
}
