const state = {
	clickInfo: {
		layerName: null,
		value: null,
		feature: null,
		isClick: false,
		e: null
	},
	hoverInfo: {
		layerName: null,
		value: null,
		feature: null
	},
	isDrawing: false,
	isTooling: false,
}

const mutations = {
	SET_INFO (state: { clickInfo: any; hoverInfo: any }, {data, type}: any) {
		if (type === 'click') {
			state.clickInfo = data
		} else if (type === 'hover') {
			state.hoverInfo = data
		}
	},
	SET_IS_TOOLING(state, flag) {
		state.isTooling = flag
	},
	SET_IS_DRAWING(state, flag) {
		state.isDrawing = flag
	},
}

const actions = {
	// @ts-ignore
	LOAD_INFO ({ commit }, {data, type}) {
		commit('SET_INFO', {data, type})
	},
}

export default {
	namespaced: true,
	state,
	mutations,
	actions
}
