import { handle } from '../../index'

const suffix = 'ax-node-api'

export const shipTestParamsList = (params: any) => handle({
  url: `/${suffix}/ship-test/params/list`,
  method: 'post',
  params
})
export const shipTestParamsPage = (params: any) => handle({
  url: `/${suffix}/ship-test/params/page`,
  method: 'post',
  params
})
export const shipTestParamsInfo = (id: any) => handle({
  url: `/${suffix}/ship-test/params/info/${id}`,
  method: 'get',
})
export const shipTestParamsAdd = (params: any) => handle({
  url: `/${suffix}/ship-test/params/add`,
  method: 'post',
  params
})
export const shipTestParamsEdit = (params: any) => handle({
  url: `/${suffix}/ship-test/params/edit`,
  method: 'put',
  params
})
export const shipTestParamsDel = (params: any) => handle({
  url: `/${suffix}/ship-test/params/del/`,
  method: 'delete',
  params
})
// 参数配置-字典
export const shipTestParamsDictList = (params: any) => handle({
  url: `/${suffix}/ship-test/params/dict/list`,
  method: 'post',
  params
})
export const shipTestParamsDictPage = (params: any) => handle({
  url: `/${suffix}/ship-test/params/dict/page`,
  method: 'post',
  params
})
export const shipTestParamsDictInfo = (id: any) => handle({
  url: `/${suffix}/ship-test/params/dict/info/${id}`,
  method: 'get',
})
export const shipTestParamsDictAdd = (params: any) => handle({
  url: `/${suffix}/ship-test/params/dict/add`,
  method: 'post',
  params
})
export const shipTestParamsDictEdit = (params: any) => handle({
  url: `/${suffix}/ship-test/params/dict/edit`,
  method: 'put',
  params
})
export const shipTestParamsDictDel = (params: any) => handle({
  url: `/${suffix}/ship-test/params/dict/del/`,
  method: 'delete',
  params
})
export const shipTestParamsDictEnabled = (ids: any) => handle({
  url: `/${suffix}/ship-test/params/dict/enabled/${ids}`,
  method: 'get',
})
export const shipTestParamsDictDisabled = (ids: any) => handle({
  url: `/${suffix}/ship-test/params/dict/disabled/${ids}`,
  method: 'get',
})
