import AisTestLayout from '@/views/ship-test/layout/index.vue'
const aisTestRouter = [
  {
    path: '/ship-test',
    component: () => import('@/views/ship-test/index.vue'),
  },
  {
    name: 'ship-test-manage',
    path: '/ship-test/manage',
    component: AisTestLayout,
    children: [
      {
        name: '666089c1-0eac-4058-9b82-157cb4b9c277',
        path: 'source',
        component: () => import('@/views/ship-test/manage/source/index.vue'),
        meta: {
          title: '目标来源'
        }
      },
      {
        name: '4e53c650-a86c-4fde-83b2-eb316dd5e66a',
        path: 'params',
        component: () => import('@/views/ship-test/manage/params/index.vue'),
        meta: {
          title: '参数配置'
        }
      },
      {
        name: '4e53c650-a86c-4fde-83b2-eb316dd5e66a2222',
        path: 'track',
        component: () => import('@/views/ship-test/manage/track/index.vue'),
        meta: {
          title: '轨迹信息'
        }
      },
      {
        name: '4e53c650-a86c-4fde-83b2-eb316dssd5e66a2222',
        path: 'hover',
        component: () => import('@/views/ship-test/manage/hover/index.vue'),
        meta: {
          title: '详情框'
        }
      },
    ]
  },
]
export default aisTestRouter